Status: Rejected Start date: November 16, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: core Estimated time: 0.00 hour

Target version:    

Affects version: 3.3.2   

Description

I expect queue to be common for all playlists. I.e. in Windows players like foobar2000 or AIMP I start one playlist as the main one

and use queue to insert some songs from other playlists.

In audacious each playlist has it separate queue and I think it makes no sense: why should I use queue when it's not hard to just

move tracks up and down within single playlist?

History

#1 - November 17, 2012 11:39 - Vasily Merzlyakov

E.g. I have two playlists with The Beatles and The Rolling Stones. The Beatles' is the current one I am listening, but I want Audacious to play a couple

of The Rolling Stones' songs and then to return back to The Beatles. In foobar2000 or AIMP I switch to the second playlist, put that couple of songs in

a queue as #1 and #2, and then return to the first playlist and mark the next song as #3 (and after that playback will continue as usual, the next song

played will be the next song after #3 in the first playlist). Audacious doesn't let me do such a trick.

#2 - November 18, 2012 04:46 - John Lindgren

- Category changed from libaudcore to core

#3 - December 06, 2019 01:54 - John Lindgren

- Status changed from New to Rejected

I don't think we'll implement this.  It adds complexity; and I personally think it would be a bit confusing, from a user standpoint, to have playback

switching between playlists on its own.  Simple and predictable is sometimes better than complex and wonderful.
